diff -pruN 0.0.13/debian/changelog 0.0.13ubuntu5/debian/changelog
--- 0.0.13/debian/changelog	2016-02-27 14:59:52.000000000 +0000
+++ 0.0.13ubuntu5/debian/changelog	2019-09-09 12:04:30.000000000 +0000
@@ -1,3 +1,56 @@
+sysconfig (0.0.13ubuntu5) eoan; urgency=medium
+
+  * Generate less harmless warnings on install.
+
+ -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 09 Sep 2019 13:04:30 +0100
+
+sysconfig (0.0.13ubuntu4) xenial; urgency=medium
+
+  * Clean obsolete directories without failing.
+
+ -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 13 Apr 2016 17:58:33 +0100
+
+sysconfig (0.0.13ubuntu3) xenial; urgency=medium
+
+  * Drop all of hwup/hwdown scripts and logic, migrate to chzdev configs
+    from s390-tools package. LP: #1560545
+
+    In general, this means that we will stop forking a full bash and
+    processing loads of bash scripts to activate every CCW device. Instead
+    chzdev is used to generate minimalistic udev rules, that use udev
+    builtin functionality only. These generated udev rules, are stored in
+    /etc/udev/rules.d and copied into initramfs. Thus all required CCW
+    devices are activated race-free, and faster than before.
+
+  * Remaining components are update-initramfs tools hook to activate
+    devices passed on kernel command line, and to ship the newly used
+    chzdev/lszdev tools for recovery.
+
+ -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 08 Apr 2016 16:58:37 +0100
+
+sysconfig (0.0.13ubuntu2) xenial; urgency=medium
+
+  * Drop deprecated WAIT_FOR_SYSFS key from udev rules, as it is not
+    supported by recent udevd anymore.
+
+ -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 08 Apr 2016 10:42:20 +0100
+
+sysconfig (0.0.13ubuntu1) xenial; urgency=low
+
+  * Merge from Debian unstable.  Remaining changes:
+    - Drop preinst -> this is a new package on ubuntu, so no migrations are
+      necessory.
+    - Drop postinst, as no upgrade logic is needed and use trigger for
+      update-initramfs.
+    - Simplify debian/rules to simply use dh
+    - Bump compat to 9
+    - Use .install & .dirs files to do all installations, if this package
+      ever gains per-arch differences, .install.s390x can be then used etc.
+    - Bump standards version.
+    - Use source format version 3 (native).
+
+ -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Mar 2016 12:19:25 +0000
+
 sysconfig (0.0.13) unstable; urgency=medium
 
   [ Raphael Philipe Mendes da Silva ]
@@ -6,6 +59,21 @@ sysconfig (0.0.13) unstable; urgency=med
 
  -- Philipp Kern <pkern@debian.org>  Sat, 27 Feb 2016 15:58:58 +0100
 
+sysconfig (0.0.12ubuntu1) xenial; urgency=medium
+
+  * Drop preinst -> this is a new package on ubuntu, so no migrations are
+    necessory.
+  * Drop postinst, as no upgrade logic is needed and use trigger for
+    update-initramfs.
+  * Simplify debian/rules to simply use dh
+  * Bump compat to 9
+  * Use .install & .dirs files to do all installations, if this package
+    ever gains per-arch differences, .install.s390x can be then used etc.
+  * Bump standards version.
+  * Use source format version 3 (native).
+
+ -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 25 Feb 2016 12:04:15 +0000
+
 sysconfig (0.0.12) unstable; urgency=medium
 
   * Deal with qeth being built-in instead of being a module.
diff -pruN 0.0.13/debian/compat 0.0.13ubuntu5/debian/compat
--- 0.0.13/debian/compat	2015-10-25 15:23:56.000000000 +0000
+++ 0.0.13ubuntu5/debian/compat	2016-04-08 15:41:32.000000000 +0000
@@ -1 +1 @@
-7
+9
diff -pruN 0.0.13/debian/control 0.0.13ubuntu5/debian/control
--- 0.0.13/debian/control	2015-10-25 15:24:00.000000000 +0000
+++ 0.0.13ubuntu5/debian/control	2016-04-08 15:54:55.000000000 +0000
@@ -1,14 +1,15 @@
 Source: sysconfig
 Section: admin
 Priority: optional
-Maintainer: Debian S/390 Team <debian-s390@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian S/390 Team <debian-s390@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Philipp Kern <pkern@debian.org>
-Build-Depends: debhelper (>> 7)
-Standards-Version: 3.6.2
+Build-Depends: debhelper (>> 9)
+Standards-Version: 3.9.7
 
 Package: sysconfig-hardware
 Architecture: s390 s390x
 Priority: standard
-Depends: ${misc:Depends}, udev
+Depends: ${misc:Depends}, udev, s390-tools (>= 1.34.0-0ubuntu4)
 Description: Hardware configuration
  Hardware configuration for not autoconfigurable hardware devices.
diff -pruN 0.0.13/debian/rules 0.0.13ubuntu5/debian/rules
--- 0.0.13/debian/rules	2015-10-25 15:23:07.000000000 +0000
+++ 0.0.13ubuntu5/debian/rules	2016-04-08 15:41:32.000000000 +0000
@@ -1,59 +1,4 @@
 #!/usr/bin/make -f
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-
-DEB_HOST_ARCH  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-build:
-
-clean:
-	dh_testdir
-	dh_clean 
-
-install:
-	dh_testdir
-	dh_testroot
-	dh_clean -k
-	dh_installdirs
-
-	$(MAKE) -f debian/rules install-sysconfig-hardware-arch-$(DEB_HOST_ARCH)
-
-install-sysconfig-hardware-%: export DH_OPTIONS = -psysconfig-hardware
-
-install-sysconfig-hardware-arch-s390 install-sysconfig-hardware-arch-s390x: install-sysconfig-hardware-common
-	dh_install etc/sysconfig/scripts/hardware/*-ccw* etc/sysconfig/scripts/hardware
-	dh_install usr/share/initramfs-tools
-
-install-sysconfig-hardware-arch-%:
-
-install-sysconfig-hardware-common:
-	dh_installdirs etc/sysconfig/hardware
-	dh_install etc/sysconfig/scripts/common
-	dh_install etc/sysconfig/scripts/hardware/functions
-	dh_install etc/sysconfig/scripts/hardware/hw* etc/sysconfig/scripts/hardware
-	dh_install etc/sysconfig/scripts/hardware/udev* etc/sysconfig/scripts/hardware
-	dh_install lib
-	dh_installman man/hw*.8
-	dh_install sbin/hw* sbin
-
-binary-indep: install
-
-binary-arch: install
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs -s
-	dh_installdocs -s
-	dh_installexamples -s
-	dh_installman -s
-	dh_link -s
-	dh_strip -s
-	dh_compress -s
-	dh_fixperms -s
-	dh_installdeb -s
-	dh_gencontrol -s
-	dh_md5sums -s
-	dh_builddeb -s
-
-binary: binary-arch binary-indep
-.PHONY: build clean binary-indep binary-arch binary install
+%:
+	dh $@
diff -pruN 0.0.13/debian/source/format 0.0.13ubuntu5/debian/source/format
--- 0.0.13/debian/source/format	1970-01-01 00:00:00.000000000 +0000
+++ 0.0.13ubuntu5/debian/source/format	2016-04-08 15:41:32.000000000 +0000
@@ -0,0 +1 @@
+3.0 (native)
diff -pruN 0.0.13/debian/sysconfig-hardware.install 0.0.13ubuntu5/debian/sysconfig-hardware.install
--- 0.0.13/debian/sysconfig-hardware.install	1970-01-01 00:00:00.000000000 +0000
+++ 0.0.13ubuntu5/debian/sysconfig-hardware.install	2016-04-08 15:57:32.000000000 +0000
@@ -0,0 +1,2 @@
+sbin
+usr
diff -pruN 0.0.13/debian/sysconfig-hardware.maintscript 0.0.13ubuntu5/debian/sysconfig-hardware.maintscript
--- 0.0.13/debian/sysconfig-hardware.maintscript	1970-01-01 00:00:00.000000000 +0000
+++ 0.0.13ubuntu5/debian/sysconfig-hardware.maintscript	2016-04-11 19:53:07.000000000 +0000
@@ -0,0 +1,11 @@
+rm_conffile /etc/sysconfig/scripts/hardware/hwup 0.0.13ubuntu3~
+rm_conffile /etc/sysconfig/scripts/hardware/hwup-ccw-group 0.0.13ubuntu3~
+rm_conffile /etc/sysconfig/scripts/hardware/hwup-ccw 0.0.13ubuntu3~
+rm_conffile /etc/sysconfig/scripts/hardware/hwup-ccw-dasd 0.0.13ubuntu3~
+rm_conffile /etc/sysconfig/scripts/hardware/functions 0.0.13ubuntu3~
+rm_conffile /etc/sysconfig/scripts/hardware/hwdown-ccw-group 0.0.13ubuntu3~
+rm_conffile /etc/sysconfig/scripts/hardware/hwup-ccw-zfcp 0.0.13ubuntu3~
+rm_conffile /etc/sysconfig/scripts/hardware/hwdown-ccw-dasd 0.0.13ubuntu3~
+rm_conffile /etc/sysconfig/scripts/hardware/hwdown-ccw-zfcp 0.0.13ubuntu3~
+rm_conffile /etc/sysconfig/scripts/hardware/udev-net 0.0.13ubuntu3~
+rm_conffile /etc/sysconfig/scripts/common/functions 0.0.13ubuntu3~
diff -pruN 0.0.13/debian/sysconfig-hardware.postinst 0.0.13ubuntu5/debian/sysconfig-hardware.postinst
--- 0.0.13/debian/sysconfig-hardware.postinst	2009-03-24 10:10:51.000000000 +0000
+++ 0.0.13ubuntu5/debian/sysconfig-hardware.postinst	2019-09-09 12:04:15.000000000 +0000
@@ -1,28 +1,40 @@
-#! /bin/sh
+#!/bin/sh
 
 set -e
 
-case "$1" in
-    configure)
-        if [ -e "/etc/udev/sysconfig-hardware.rules" ]; then
-            echo "Preserving user changes to /etc/udev/rules.d/85-sysconfig-hardware.rules ..."
-            if [ -e "/etc/udev/rules.d/85-sysconfig-hardware.rules" ]; then
-                mv -f "/etc/udev/rules.d/85-sysconfig-hardware.rules" "/etc/udev/rules.d/85-sysconfig-hardware.rules.dpkg-new"
-            fi
-            mv -f "/etc/udev/sysconfig-hardware.rules" "/etc/udev/rules.d/85-sysconfig-hardware.rules"
-        fi
-        command -v update-initramfs >/dev/null 2>&1 && update-initramfs -u
-    ;;
-
-    abort-upgrade|abort-remove|abort-deconfigure)
-    ;;
-
-    *)
-        echo "postinst called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
+if [ "$1" = "configure" ]
+then
+    # cannot do any version checks, as an old installer, with old
+    # s390-sysconfig-writer maybe used that generates old-style
+    # configs. So check for new-style config file.
+	
+    # portable shopt -s nullglub
+    if [ -n "$(find /etc/sysconfig/hardware -type f -print -quit 2>/dev/null)" ]
+    then
+	# try to store current active config, as udev rules
+	chzdev --active --online --export - | sed -i 's/^\[active/\[persistent/' | chzdev --persistent --no-root-update --import - || true
+	
+	# store old-configs in a backup location, which will not
+	# interfere with old initramfs hooks.
+	mkdir -p /etc/sysconfig/hardware.back
+	# at least bring online, all other hwup devices
+	for dev in /etc/sysconfig/hardware/*
+	do
+	    chzdev --persistent --no-root-update --enable ${dev##/etc/sysconfig/hardware/config-ccw-} || true
+	    mv $dev /etc/sysconfig/hardware.back
+	done
+	rmdir -p --ignore-fail-on-non-empty /etc/sysconfig/hardware || true
+    fi
+    # initramfs is updated via .trigger file
+fi
 
 #DEBHELPER#
 
+if [ -d /etc/sysconfig/scripts/common ]; then
+	rmdir -p --ignore-fail-on-non-empty /etc/sysconfig/scripts/common
+fi
+if [ -d /etc/sysconfig/scripts/hardware ]; then
+	rmdir -p --ignore-fail-on-non-empty /etc/sysconfig/scripts/hardware
+fi
+
 exit 0
diff -pruN 0.0.13/debian/sysconfig-hardware.preinst 0.0.13ubuntu5/debian/sysconfig-hardware.preinst
--- 0.0.13/debian/sysconfig-hardware.preinst	2009-03-24 10:10:51.000000000 +0000
+++ 0.0.13ubuntu5/debian/sysconfig-hardware.preinst	1970-01-01 00:00:00.000000000 +0000
@@ -1,32 +0,0 @@
-#!/bin/sh
-
-set -e
-
-case "$1" in
-    install|upgrade)
-        if [ -e "/etc/udev/sysconfig-hardware.rules" ]; then
-            if [ "$(md5sum "/etc/udev/sysconfig-hardware.rules" | sed -e "s/ .*//")" = \
-                 "$(dpkg-query -W -f='${Conffiles}' sysconfig-hardware | sed -n -e "\\' /etc/udev/sysconfig-hardware.rules's/.* //p")" ]
-            then
-                rm -f "/etc/udev/sysconfig-hardware.rules"
-            fi
-        fi
-        if [ -L "/etc/udev/rules.d/z60_sysconfig-hardware.rules" ]; then
-            rm -f "/etc/udev/rules.d/z60_sysconfig-hardware.rules"
-        fi
-    ;;
-
-    abort-upgrade)
-    ;;
-
-    *)
-        echo "preinst called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-#DEBHELPER#
-
-exit 0
-
-
diff -pruN 0.0.13/debian/sysconfig-hardware.triggers 0.0.13ubuntu5/debian/sysconfig-hardware.triggers
--- 0.0.13/debian/sysconfig-hardware.triggers	1970-01-01 00:00:00.000000000 +0000
+++ 0.0.13ubuntu5/debian/sysconfig-hardware.triggers	2016-04-08 15:41:32.000000000 +0000
@@ -0,0 +1 @@
+activate update-initramfs
diff -pruN 0.0.13/etc/sysconfig/scripts/common/functions 0.0.13ubuntu5/etc/sysconfig/scripts/common/functions
--- 0.0.13/etc/sysconfig/scripts/common/functions	2009-03-24 10:10:51.000000000 +0000
+++ 0.0.13ubuntu5/etc/sysconfig/scripts/common/functions	1970-01-01 00:00:00.000000000 +0000
@@ -1,72 +0,0 @@
-# Copyright (c) 2002-2003 SuSE Linux AG Nuernberg, Germany.
-# All rights reserved.
-#
-# This program is free software; you can redistribute it and/or modify it under
-# the terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or (at your option) any later
-# version.
-#
-# This program is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
-# details.
-#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place, Suite 330, Boston, MA 02111-1307 USA
-#
-# Authors: Michal Svec <msvec@suse.cz>
-#          Mads Martin Joergensen <mmj@suse.de>
-#
-
-#####################################################################
-# Returnvalues
-#
-# I don't know currently, if all this returnvalues are necessary. Probably some
-# of them will be removed. The values 0-7 should be very similar to the LSB
-# return values for init scripts
-R_SUCCESS=0        # interface has been set up
-R_ERROR=1          # any unspecified error
-R_USAGE=2          # wrong usage
-R_NOTIMPL=3        # feature not implemented
-R_NOTALLOWED=4     # insufficient privilege
-R_NODEV=7          # the given interface does not exist
-R_NOTCONFIGURED=5  # the bootmode does not match the current mode
-R_INACTIVE=5       # the interface is not up and it should not
-R_NOTRUNNING=7     # the interface is not up but it should be up
-
-R_NOCONFIG=9       # we could not find a matching configuration file
-R_INTERNAL=$R_ERROR      # internal error, e.g. no config or missing scripts
-
-PATH=/sbin:/usr/sbin:/bin:/usr/bin:${SYSCONFIG}/scripts/common
-
-error () {
-	warning "$@"
-	exit $R_ERROR
-}
-
-warning () {
-	test "$DEBUG" = "yes" && echo -e "$SCRIPTNAME $*" >&2 && return
-	test -z "$*" && return
-	echo -e "$*" >&2
-}
-
-message () {
-	test "$DEBUG" = "yes" && echo -e "$SCRIPTNAME $*" && return
-	test "$BE_QUIET" = "yes" && return
-	test -z "$*" && return
-	echo -e "$*"
-}
-
-message_n () {
-	test "$DEBUG" = "yes" && echo -en "$SCRIPTNAME $*" && return
-	test "$BE_QUIET" = "yes" && test "$DEBUG" != "yes" && return
-	echo -en "$*"
-}
-
-debug () {
-	test "$DEBUG" != "yes" && return
-	test -z "$*" && return
-	echo -e "$SCRIPTNAME [DEBUG] $*"
-}
-
diff -pruN 0.0.13/etc/sysconfig/scripts/hardware/functions 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/functions
--- 0.0.13/etc/sysconfig/scripts/hardware/functions	2015-09-06 07:40:48.000000000 +0000
+++ 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/functions	1970-01-01 00:00:00.000000000 +0000
@@ -1,71 +0,0 @@
-init () {
-  SCRIPTNAME=${0##*/}
-  COMMAND=${SCRIPTNAME%%-*}
-
-  . ${SYSCONFIG}/scripts/common/functions
-
-  MODE=manual
-
-  while getopts ":AD:h" OPT; do
-    case "$OPT" in
-      A)
-      MODE=auto
-      ;;
-      D)
-      DEVPATH="$OPTARG"
-      ;;
-      h)
-      usage
-      exit $R_SUCCESS
-      ;;
-      :)
-      echo "$SCRIPTNAME: option requires an argument -- $OPTARG" >&2
-      echo "Try: \`$SCRIPTNAME -h' for mor information." >&2
-      exit $R_USAGE
-      ;;
-      ?)
-      echo "$SCRIPTNAME: illegal option -- $OPTARG" >&2
-      echo "Try: \`$SCRIPTNAME -h' for mor information." >&2
-      exit $R_USAGE
-      ;;
-    esac
-  done
-
-  SYSFS=${SYSFS:-/sys}
-
-  cd ${SYSCONFIG}/hardware
-}
-
-check_bus () {
-  if [ "$1" == "ccwgroup" ]; then
-    exit $R_SUCCESS
-  fi
-}
-
-check_config () {
-  if ! [ -e "$SYSCONFIG/hardware/config-$1-$2" ]; then
-    if [ "$MODE" != auto ]; then
-      warning "Can't find config-$1-$2!"
-    fi
-    exit $R_NOCONFIG
-  fi
-}
-
-check_devpath () {
-  [ -e $SYSFS${DEVPATH:=$1} ] || exit $R_ERROR
-}
-
-read_config () {
-  local READ_CONFIG="$SYSCONFIG/hardware/config-$1-$2"
-  check_config "$@"
-  if [ "$CONFIG" != $READ_CONFIG ]; then
-    CONFIG=$READ_CONFIG
-    source $CONFIG
-  fi
-}
-
-if [ -z $SCRIPTNAME ]; then
-  init "$@"
-  shift $(($OPTIND - 1))
-fi
-
diff -pruN 0.0.13/etc/sysconfig/scripts/hardware/hwdown 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/hwdown
--- 0.0.13/etc/sysconfig/scripts/hardware/hwdown	2015-09-06 07:41:09.000000000 +0000
+++ 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/hwdown	1970-01-01 00:00:00.000000000 +0000
@@ -1,40 +0,0 @@
-#!/bin/bash
-set -e
-
-usage () {
-  echo "Usage: $SCRIPTNAME [OPTION]... BUS ID"
-}
-
-. ${SYSCONFIG:=/etc/sysconfig}/scripts/hardware/functions
-
-BUS=$1
-ID=$2
-
-check_bus $BUS
-check_devpath /bus/$BUS/devices/$ID
-read_config $BUS $ID
-
-case "${STARTMODE:-auto}:$MODE" in
-  auto:auto|*:auto-override)
-  # Start auto devices in auto and override mode.
-  :
-  ;;
-  *:auto)
-  # Don't display any message if device is not auto in auto mode.
-  exit 0
-  ;;
-  auto:manual|manual:manual)
-  # Start manual devices in manual mode.
-  :
-  ;;
-  off:manual)
-  message "$SCRIPTNAME: used configuration has STARTMODE=$STARTMODE."
-  exit 0;
-  ;;
-  *)
-  message "$SCRIPTNAME: unknown STARTMODE=$STARTMODE."
-  exit $R_ERROR
-  ;;
-esac
-
-source $SYSCONFIG/scripts/hardware/$COMMAND-$BUS $ID $DEVPATH
diff -pruN 0.0.13/etc/sysconfig/scripts/hardware/hwdown-ccw 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/hwdown-ccw
--- 0.0.13/etc/sysconfig/scripts/hardware/hwdown-ccw	2015-09-06 19:41:03.000000000 +0000
+++ 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/hwdown-ccw	1970-01-01 00:00:00.000000000 +0000
@@ -1,71 +0,0 @@
-#!/bin/bash
-set -e
-
-usage () {
-  echo "Usage: $SCRIPTNAME [OPTION]... ID"
-}
-
-. ${SYSCONFIG:=/etc/sysconfig}/scripts/hardware/functions
-
-ID=$1
-
-check_devpath /bus/ccw/devices/$ID
-check_config ccw $ID
-
-read cutype < $SYSFS$DEVPATH/cutype
-read devtype < $SYSFS$DEVPATH/devtype
-
-case "$cutype" in
-  1731/01|1731/05)
-  name="qeth"
-  ;;
-  1731/03)
-  case "$devtype" in
-    1732/03|1732/04)
-    name="zfcp"
-    ;;
-  esac
-  ;;
-  3088/01)
-  error "p390 not supported"
-  ;;
-  3088/08|3088/1f)
-  name="cu3088"
-  ;;
-  3088/1e)
-  error "ficon not supported"
-  ;;
-  3088/60)
-  error "lcs not supported"
-  ;;
-  3480/*|3490/*)
-  error "tape not supported"
-  ;;
-  3990/*|2105/*|9343/*|2107/*|1750/*)
-  name="dasd-eckd"
-  ;;
-  6310/*)
-  name="dasd-fba"
-  ;;
-  3880/*)
-  case "$devtype" in
-    3370/*)
-    name="dasd-fba"
-    ;;
-    3380/*)
-    name="dasd-eckd"
-    ;;
-  esac
-  ;;
-esac
-
-[ -z "$name" ] && error "Invalid device type (cu ${cutype} dev ${devtype}"
-
-if [ "$name" = cu3088 ] || [ "$name" = qeth ]; then
-  source $SYSCONFIG/scripts/hardware/$COMMAND-ccw-group "$ID" "$name"
-elif [ "$name" = zfcp ]; then
-  source $SYSCONFIG/scripts/hardware/$COMMAND-ccw-zfcp "$ID"
-elif [ "$name" = dasd-eckd ] || [ "$name" = dasd-fba ]; then
-  source $SYSCONFIG/scripts/hardware/$COMMAND-ccw-dasd "$ID"
-fi
-
diff -pruN 0.0.13/etc/sysconfig/scripts/hardware/hwdown-ccw-dasd 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/hwdown-ccw-dasd
--- 0.0.13/etc/sysconfig/scripts/hardware/hwdown-ccw-dasd	2009-03-24 10:10:51.000000000 +0000
+++ 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/hwdown-ccw-dasd	1970-01-01 00:00:00.000000000 +0000
@@ -1,18 +0,0 @@
-#!/bin/bash
-set -e
-
-usage () {
-  echo "Usage: $SCRIPTNAME [OPTION]... ID"
-}
-
-. ${SYSCONFIG:=/etc/sysconfig}/scripts/hardware/functions
-
-ID=$1
-
-check_devpath /bus/ccw/devices/$ID
-read_config ccw $ID
-
-message_n "Deconfiguring device $ID: "
-echo 0 > $SYSFS$DEVPATH/online
-message "ok."
-
diff -pruN 0.0.13/etc/sysconfig/scripts/hardware/hwdown-ccw-group 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/hwdown-ccw-group
--- 0.0.13/etc/sysconfig/scripts/hardware/hwdown-ccw-group	2009-03-24 10:10:51.000000000 +0000
+++ 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/hwdown-ccw-group	1970-01-01 00:00:00.000000000 +0000
@@ -1,30 +0,0 @@
-#!/bin/bash
-set -e
-
-usage () {
-  echo "Usage: $SCRIPTNAME [OPTION]... ID NAME"
-}
-
-. ${SYSCONFIG:=/etc/sysconfig}/scripts/hardware/functions
-
-ID=$1
-NAME=$2
-
-check_devpath /bus/ccw/devices/$ID
-read_config ccw $ID
-
-CCWGROUP_ID=$CCWGROUP_CHANS
-
-ccwgroup=/bus/ccwgroup/devices/$DRIVER
-
-message_n "Deconfiguring group ${CCWGROUP_ID}: "
-if [ ! -d $SYSFS$ccwgroup/$CCWGROUP_ID ]; then
-  message "not configured."
-  exit 0
-fi
-
-echo 0 > $SYSFS$ccwgroup/$CCWGROUP_ID/online
-echo 1 > $SYSFS$ccwgroup/$CCWGROUP_ID/ungroup
-message "ok."
-exit 0
-
diff -pruN 0.0.13/etc/sysconfig/scripts/hardware/hwdown-ccw-zfcp 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/hwdown-ccw-zfcp
--- 0.0.13/etc/sysconfig/scripts/hardware/hwdown-ccw-zfcp	2009-03-24 10:10:51.000000000 +0000
+++ 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/hwdown-ccw-zfcp	1970-01-01 00:00:00.000000000 +0000
@@ -1,18 +0,0 @@
-#!/bin/bash
-set -e
-
-usage () {
-  echo "Usage: $SCRIPTNAME [OPTION]... ID"
-}
-
-. ${SYSCONFIG:=/etc/sysconfig}/scripts/hardware/functions
-
-ID=$1
-
-check_devpath /bus/ccw/devices/$ID
-read_config ccw $ID
-
-message_n "Deconfiguring device $ID: "
-echo 0 > $SYSFS$DEVPATH/online
-message "ok."
-
diff -pruN 0.0.13/etc/sysconfig/scripts/hardware/hwup 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/hwup
--- 0.0.13/etc/sysconfig/scripts/hardware/hwup	2015-09-06 07:41:09.000000000 +0000
+++ 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/hwup	1970-01-01 00:00:00.000000000 +0000
@@ -1,40 +0,0 @@
-#!/bin/bash
-set -e
-
-usage () {
-  echo "Usage: $SCRIPTNAME [OPTION]... BUS ID"
-}
-
-. ${SYSCONFIG:=/etc/sysconfig}/scripts/hardware/functions
-
-BUS=$1
-ID=$2
-
-check_bus $BUS
-check_devpath /bus/$BUS/devices/$ID
-read_config $BUS $ID
-
-case "${STARTMODE:-auto}:$MODE" in
-  auto:auto|*:auto-override)
-  # Start auto devices in auto and override mode.
-  :
-  ;;
-  *:auto)
-  # Don't display any message if device is not auto in auto mode.
-  exit 0
-  ;;
-  auto:manual|manual:manual)
-  # Start manual devices in manual mode.
-  :
-  ;;
-  off:manual)
-  message "$SCRIPTNAME: used configuration has STARTMODE=$STARTMODE."
-  exit 0;
-  ;;
-  *)
-  message "$SCRIPTNAME: unknown STARTMODE=$STARTMODE."
-  exit $R_ERROR
-  ;;
-esac
-
-source $SYSCONFIG/scripts/hardware/$COMMAND-$BUS $ID $DEVPATH
diff -pruN 0.0.13/etc/sysconfig/scripts/hardware/hwup-ccw 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/hwup-ccw
--- 0.0.13/etc/sysconfig/scripts/hardware/hwup-ccw	2015-09-06 19:41:03.000000000 +0000
+++ 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/hwup-ccw	1970-01-01 00:00:00.000000000 +0000
@@ -1,71 +0,0 @@
-#!/bin/bash
-set -e
-
-usage () {
-  echo "Usage: $SCRIPTNAME [OPTION]... ID"
-}
-
-. ${SYSCONFIG:=/etc/sysconfig}/scripts/hardware/functions
-
-ID=$1
-
-check_devpath /bus/ccw/devices/$ID
-check_config ccw $ID
-
-read cutype < $SYSFS$DEVPATH/cutype
-read devtype < $SYSFS$DEVPATH/devtype
-
-case "$cutype" in
-  1731/01|1731/05)
-  name="qeth"
-  ;;
-  1731/03)
-  case "$devtype" in
-    1732/03|1732/04)
-    name="zfcp"
-    ;;
-  esac
-  ;;
-  3088/01)
-  error "p390 not supported"
-  ;;
-  3088/08|3088/1f)
-  name="cu3088"
-  ;;
-  3088/1e)
-  error "ficon not supported"
-  ;;
-  3088/60)
-  error "lcs not supported"
-  ;;
-  3480/*|3490/*)
-  error "tape not supported"
-  ;;
-  3990/*|2105/*|9343/*|2107/*|1750/*)
-  name="dasd-eckd"
-  ;;
-  6310/*)
-  name="dasd-fba"
-  ;;
-  3880/*)
-  case "$devtype" in
-    3370/*)
-    name="dasd-fba"
-    ;;
-    3380/*)
-    name="dasd-eckd"
-    ;;
-  esac
-  ;;
-esac
-
-[ -z "$name" ] && error "Invalid device type (cu ${cutype} dev ${devtype}"
-
-if [ "$name" = cu3088 ] || [ "$name" = qeth ]; then
-  source $SYSCONFIG/scripts/hardware/$COMMAND-ccw-group "$ID" "$name"
-elif [ "$name" = zfcp ]; then
-  source $SYSCONFIG/scripts/hardware/$COMMAND-ccw-zfcp "$ID"
-elif [ "$name" = dasd-eckd ] || [ "$name" = dasd-fba ]; then
-  source $SYSCONFIG/scripts/hardware/$COMMAND-ccw-dasd "$ID"
-fi
-
diff -pruN 0.0.13/etc/sysconfig/scripts/hardware/hwup-ccw-dasd 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/hwup-ccw-dasd
--- 0.0.13/etc/sysconfig/scripts/hardware/hwup-ccw-dasd	2015-10-25 15:14:55.000000000 +0000
+++ 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/hwup-ccw-dasd	1970-01-01 00:00:00.000000000 +0000
@@ -1,31 +0,0 @@
-#!/bin/bash
-set -e
-
-usage () {
-  echo "Usage: $SCRIPTNAME [OPTION]... ID"
-}
-
-. ${SYSCONFIG:=/etc/sysconfig}/scripts/hardware/functions
-
-ID=$1
-
-check_devpath /bus/ccw/devices/$ID
-read_config ccw $ID
-
-message_n "Configuring device $ID: "
-read _online < $SYSFS$DEVPATH/online
-if [ "$_online" -ne "1" ]; then
-  if [ -n "$DASD_USE_DIAG" ]; then
-    echo "$DASD_USE_DIAG" > $SYSFS$DEVPATH/use_diag
-  fi
-  if [ -n "$DASD_READONLY" ]; then
-    echo "$DASD_READONLY" > $SYSFS$DEVPATH/readonly
-  fi
-  echo 1 > $SYSFS$DEVPATH/online
-  message_n "online. "
-else
-  message_n "already online. "
-fi
-
-message "ok. "
-
diff -pruN 0.0.13/etc/sysconfig/scripts/hardware/hwup-ccw-group 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/hwup-ccw-group
--- 0.0.13/etc/sysconfig/scripts/hardware/hwup-ccw-group	2016-02-06 23:57:48.000000000 +0000
+++ 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/hwup-ccw-group	1970-01-01 00:00:00.000000000 +0000
@@ -1,114 +0,0 @@
-#!/bin/bash
-set -e
-
-usage () {
-  echo "Usage: $SCRIPTNAME [OPTION]... ID NAME"
-}
-
-. ${SYSCONFIG:=/etc/sysconfig}/scripts/hardware/functions
-
-ID=$1
-NAME=$2
-
-check_devpath /bus/ccw/devices/$ID
-read_config ccw $ID
-
-CCWGROUP_ID=$CCWGROUP_CHANS
-
-if [ "$NAME" == cu3088 ]; then
-  modprobe ctcm 2> /dev/null || :
-  modprobe ctc 2> /dev/null || :
-
-  if [ -d $SYSFS/module/ctcm ]; then
-    DRIVER=ctcm
-  elif [ -d $SYSFS/module/ctc ]; then
-    DRIVER=ctc
-  else
-    error "no kernel module for ctc devices available!"
-  fi
-elif [ "$NAME" == qeth ]; then
-  if [ ! -d $SYSFS/bus/ccw/drivers/qeth ]; then
-    modprobe qeth 2> /dev/null || :
-    if [ ! -d $SYSFS/module/qeth ]; then
-      error "no kernel module for qeth devices available!"
-    fi
-  fi
-  DRIVER=qeth
-fi
-
-ccw=/bus/ccw/devices/$ID/driver
-ccwgroup=/bus/ccwgroup/drivers/$DRIVER
-
-message_n "Configuring device $ID: "
-if test -d "$SYSFS$ccwgroup/$CCWGROUP_ID" ; then
-  message_n "already configured. "
-else
-  # Check whether all channels for this device are accessible
-  num=0
-  for id in "${CCWGROUP_CHANS[@]}"; do
-    if ! [ -d "$SYSFS${ccw}/${id}" ]; then
-      list=
-      break;
-    fi
-    list="${list:+${list},}${id}"
-  done
-
-  # Configure the channel group
-  # Note that the non-existence of channels is not a failure;
-  # if we were called during start-up it might well be that
-  # not all channels are available yet.
-  if test -z "$list" ; then
-    message "not (yet) available!"
-    exit 0
-  else
-    echo $list > $SYSFS$ccwgroup/group
-    message_n "ok. "
-  fi
-fi
-
-read _online < $SYSFS$ccwgroup/$CCWGROUP_ID/online
-if test "$_online" -eq "1" ; then
-  message "already online."
-  exit 0
-fi
-
-write_option () {
-  option="$1"
-  file="$SYSFS$ccwgroup/$CCWGROUP_ID/$option"
-  shift
-  found=
-  for i in "$@"; do
-    [ "$option" = "$i" ] && found=1
-  done
-  if test $found; then
-    message_n "($option) "
-    echo 1 > $file
-  elif [ -f $file ]; then
-    echo 0 > $file
-  fi
-}
-
-write_setting () {
-  if [ "$2" ]; then
-    message_n "($1 $2) "
-    echo "$2" > $SYSFS$ccwgroup/$CCWGROUP_ID/$1
-  fi
-}
-
-case $DRIVER in
-  ctc|ctcm)
-    write_setting "buffer" "$CTC_BUFFER"
-    write_setting "protocol" "$CTC_PROTOCOL"
-    ;;
-  qeth)
-    write_setting "portname" "$QETH_PORTNAME"
-    write_setting "portno" "$QETH_PORTNO"
-    write_option "fake_broadcast" "${QETH_OPTIONS[@]}"
-    write_option "fake_ll" "${QETH_OPTIONS[@]}"
-    write_option "layer2" "${QETH_OPTIONS[@]}"
-    ;;
-esac
-
-echo 1 > $SYSFS$ccwgroup/$CCWGROUP_ID/online
-message "ok."
-
diff -pruN 0.0.13/etc/sysconfig/scripts/hardware/hwup-ccw-zfcp 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/hwup-ccw-zfcp
--- 0.0.13/etc/sysconfig/scripts/hardware/hwup-ccw-zfcp	2009-03-24 10:10:51.000000000 +0000
+++ 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/hwup-ccw-zfcp	1970-01-01 00:00:00.000000000 +0000
@@ -1,39 +0,0 @@
-#!/bin/bash
-set -e
-
-usage () {
-  echo "Usage: $SCRIPTNAME [OPTION]... ID"
-}
-
-. ${SYSCONFIG:=/etc/sysconfig}/scripts/hardware/functions
-
-ID=$1
-
-check_devpath /bus/ccw/devices/$ID
-read_config ccw $ID
-
-message_n "Configuring device $ID: "
-read _online < $SYSFS$DEVPATH/online
-if [ "$_online" -ne "1" ]; then
-  echo 1 > $SYSFS$DEVPATH/online
-  message_n "online. "
-else
-  message_n "already online. "
-fi
-
-for _zfcp_dev in "${ZFCP_DEVICES[@]}"; do
-  _zfcp_wwpn=$(echo $_zfcp_dev | sed -e 's,:.*,,')
-  _zfcp_lun=$(echo $_zfcp_dev | sed -e 's,.*:,,')
-
-  if [ ! -d "$SYSFS$DEVPATH/$_zfcp_wwpn" ]; then
-    message_n "wwpn $_zfcp_wwpn "
-    echo "$_zfcp_wwpn" > $SYSFS$DEVPATH/port_add
-  fi
-  if [ ! -d "$SYSFS$DEVPATH/$_zfcp_wwpn/$_zfcp_lun" ] ; then
-    message_n "device $_zfcp_wwpn:$_zfcp_lun "
-    echo "$_zfcp_lun" > $SYSFS$DEVPATH/$_zfcp_wwpn/unit_add
-  fi
-done
-
-message "ok."
-
diff -pruN 0.0.13/etc/sysconfig/scripts/hardware/udev-net 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/udev-net
--- 0.0.13/etc/sysconfig/scripts/hardware/udev-net	2010-08-06 15:06:53.000000000 +0000
+++ 0.0.13ubuntu5/etc/sysconfig/scripts/hardware/udev-net	1970-01-01 00:00:00.000000000 +0000
@@ -1,21 +0,0 @@
-#!/bin/bash
-
-usage () {
-  echo "Usage: $SCRIPTNAME [OPTION]... DEVPATH"
-}
-
-. ${SYSCONFIG:=/etc/sysconfig}/scripts/hardware/functions
-
-DEVPATH=$1
-
-ID=$(readlink /sys/$DEVPATH/device | sed -e 's,.*/,,')
-BUS=$(readlink /sys/$DEVPATH/device/subsystem | sed -e 's,.*/,,')
-
-[ "$BUS" = ccwgroup ] && BUS=ccw
-
-read_config $BUS $ID
-
-if [ "$INTERFACE_NAME" ]; then
-  echo "INTERFACE_NAME='$INTERFACE_NAME'"
-fi
-
diff -pruN 0.0.13/lib/udev/rules.d/65-sysconfig-hardware-net.rules 0.0.13ubuntu5/lib/udev/rules.d/65-sysconfig-hardware-net.rules
--- 0.0.13/lib/udev/rules.d/65-sysconfig-hardware-net.rules	2016-02-27 14:58:42.000000000 +0000
+++ 0.0.13ubuntu5/lib/udev/rules.d/65-sysconfig-hardware-net.rules	1970-01-01 00:00:00.000000000 +0000
@@ -1,2 +0,0 @@
-SUBSYSTEM=="net", IMPORT{program}="/etc/sysconfig/scripts/hardware/udev-net $env{DEVPATH}"
-SUBSYSTEM=="net", ENV{INTERFACE_NAME}=="?*", NAME="$env{INTERFACE_NAME}"
diff -pruN 0.0.13/lib/udev/rules.d/85-sysconfig-hardware.rules 0.0.13ubuntu5/lib/udev/rules.d/85-sysconfig-hardware.rules
--- 0.0.13/lib/udev/rules.d/85-sysconfig-hardware.rules	2015-09-06 07:27:18.000000000 +0000
+++ 0.0.13ubuntu5/lib/udev/rules.d/85-sysconfig-hardware.rules	1970-01-01 00:00:00.000000000 +0000
@@ -1,2 +0,0 @@
-SUBSYSTEM=="ccw", WAIT_FOR_SYSFS="online"
-SUBSYSTEM=="ccw", ACTION=="add", RUN+="/sbin/hwup -A -D $devpath $env{SUBSYSTEM} $kernel"
diff -pruN 0.0.13/man/hwdown.8 0.0.13ubuntu5/man/hwdown.8
--- 0.0.13/man/hwdown.8	2009-03-24 10:10:51.000000000 +0000
+++ 0.0.13ubuntu5/man/hwdown.8	1970-01-01 00:00:00.000000000 +0000
@@ -1,12 +0,0 @@
-.TH HWUP "8" "January 2006" "sysconfig" "Hardware configuration"
-.SH NAME
-hwup \- Configure a hardware device
-.br
-hwdown \- Deconfigure a hardware device
-.SH SYNOPSIS
-.B hw{up,down}
-[\fIOPTION\fR]... \fIBUS ID \fR[\fIDEVPATH\fR]
-.SH DESCRIPTION
-.TP
-\fB\-A\fR
-Automatic mode, used by udev
diff -pruN 0.0.13/man/hwup.8 0.0.13ubuntu5/man/hwup.8
--- 0.0.13/man/hwup.8	2009-03-24 10:10:51.000000000 +0000
+++ 0.0.13ubuntu5/man/hwup.8	1970-01-01 00:00:00.000000000 +0000
@@ -1,12 +0,0 @@
-.TH HWUP "8" "January 2006" "sysconfig" "Hardware configuration"
-.SH NAME
-hwup \- Configure a hardware device
-.br
-hwdown \- Deconfigure a hardware device
-.SH SYNOPSIS
-.B hw{up,down}
-[\fIOPTION\fR]... \fIBUS ID \fR[\fIDEVPATH\fR]
-.SH DESCRIPTION
-.TP
-\fB\-A\fR
-Automatic mode, used by udev
diff -pruN 0.0.13/sbin/hwdown 0.0.13ubuntu5/sbin/hwdown
--- 0.0.13/sbin/hwdown	2010-08-06 15:06:53.000000000 +0000
+++ 0.0.13ubuntu5/sbin/hwdown	2016-04-13 09:32:59.000000000 +0000
@@ -1,3 +1,10 @@
-#!/bin/bash
+#!/bin/sh
 
-source /etc/sysconfig/scripts/hardware/hwdown "$@"
+echo
+echo '######################'
+echo '  No longer supported'
+echo '  Use lszdev & chzdev'
+echo '######################'
+echo
+
+exit 1
diff -pruN 0.0.13/sbin/hwup 0.0.13ubuntu5/sbin/hwup
--- 0.0.13/sbin/hwup	2010-08-06 15:06:53.000000000 +0000
+++ 0.0.13ubuntu5/sbin/hwup	2016-04-13 09:32:54.000000000 +0000
@@ -1,3 +1,10 @@
-#!/bin/bash
+#!/bin/sh
 
-source /etc/sysconfig/scripts/hardware/hwup "$@"
+echo
+echo '######################'
+echo '  No longer supported'
+echo '  Use lszdev & chzdev'
+echo '######################'
+echo
+
+exit 1
diff -pruN 0.0.13/usr/share/initramfs-tools/hooks/sysconfig-hardware 0.0.13ubuntu5/usr/share/initramfs-tools/hooks/sysconfig-hardware
--- 0.0.13/usr/share/initramfs-tools/hooks/sysconfig-hardware	2015-10-11 19:23:26.000000000 +0000
+++ 0.0.13ubuntu5/usr/share/initramfs-tools/hooks/sysconfig-hardware	2016-04-08 15:48:32.000000000 +0000
@@ -17,25 +17,5 @@ esac
 # Support z/VM's DIAG mode to access DASDs if needed.
 manual_add_modules dasd_diag_mod
 
-copy_exec /lib/udev/rules.d/85-sysconfig-hardware.rules
-
-# hwup and hwdown are bash scripts so we need to copy bash into the
-# initrd to run them. Furthermore they mostly shell out to support
-# scripts for the various device types. Copy what we need.
-copy_exec /bin/bash
-copy_exec /sbin/hwup
-copy_exec /sbin/hwdown
-copy_exec /etc/sysconfig/scripts/common/functions
-for script in /etc/sysconfig/scripts/hardware/*
-do
-	copy_exec "$script"
-done
-
-# Copy the actual user configuration with the list of devices to
-# enable at boot into the initrd.
-for cfg in /etc/sysconfig/hardware/*
-do
-	if [ "$(basename $cfg)" != "*" ]; then
-		copy_exec "$cfg"
-	fi
-done
+copy_exec /sbin/chzdev
+copy_exec /sbin/lszdev
diff -pruN 0.0.13/usr/share/sysconfig/chandev.conf 0.0.13ubuntu5/usr/share/sysconfig/chandev.conf
--- 0.0.13/usr/share/sysconfig/chandev.conf	2009-03-24 10:10:51.000000000 +0000
+++ 0.0.13ubuntu5/usr/share/sysconfig/chandev.conf	1970-01-01 00:00:00.000000000 +0000
@@ -1,10 +0,0 @@
-noauto
-ctc0,0x0300,0x0301
-ctc0,0x0300,0x0301,0,0,1
-qeth0,0x0300,0x0301,0x0302
-qeth1,0x9000,0x9001,0x9002
-qeth2,0x1000,0x1001,0x1002
-#qeth2,0xA000,0xA001,0xA002
-qeth0,0xFE00,0xFE01,0xFE02
-add_parms,0x10,0x0300,0x0302,portname:FE030300,primary_router
-add_parms,0x10,0x1000,0x1002,portname:FE001000,primary_router
diff -pruN 0.0.13/usr/share/sysconfig/chandev-convert 0.0.13ubuntu5/usr/share/sysconfig/chandev-convert
--- 0.0.13/usr/share/sysconfig/chandev-convert	2015-09-06 07:41:24.000000000 +0000
+++ 0.0.13ubuntu5/usr/share/sysconfig/chandev-convert	1970-01-01 00:00:00.000000000 +0000
@@ -1,86 +0,0 @@
-#!/bin/bash
-
-SCRIPTNAME=${0##*/}
-
-CHANDEV_CONF=/etc/chandev.conf
-OUTPUT_DIR=
-
-while getopts ":c:ho:" OPT; do
-  case "$OPT" in
-    c)
-    CHANDEV_CONF="$OPTARG"
-    ;;
-    h)
-    usage
-    exit $R_SUCCESS
-    ;;
-    o)
-    OUTPUT_DIR="$OPTARG"
-    ;;
-    :)
-    echo "$SCRIPTNAME: option requires an argument -- $OPTARG" >&2
-    echo "Try: \`$SCRIPTNAME -h' for mor information." >&2
-    exit $R_USAGE
-    ;;
-    ?)
-    echo "$SCRIPTNAME: illegal option -- $OPTARG" >&2
-    echo "Try: \`$SCRIPTNAME -h' for mor information." >&2
-    exit $R_USAGE
-    ;;
-  esac
-done
-
-fix_dev () {
-  dev=$(echo $1 | tr "[A-F]" "[a-f]")
-  dev=0.0.${dev#0x}
-  echo $dev
-}
-
-orig_IFS="$IFS"
-
-devices=()
-params=()
-
-while read in; do
-  [ -z "$in" ] && continue
-  [ "${in#\#}" != "$in" ] && continue
-  IFS=,
-  set -- $in
-  IFS="$orig_IFS"
-  echo got input: $@
-  if [ "$1" = "auto" -o "$1" = "noauto" ]; then
-    true
-  elif [ "$1" = "add_parms" ]; then
-    true
-  elif [ "${1#ctc}" != "$1" ]; then
-    read_dev=$2
-    write_dev=$3
-    protocol=$6
-    echo got ctc: $read_dev $write_dev, protocol: $protocol
-    devices+=("ctc $read_dev $write_dev $protocol")
-  elif [ "${1#qeth}" != "$1" ]; then
-    read_dev=$2
-    write_dev=$3
-    data_dev=$4
-    port=$6
-    echo got qeth: $read_dev $write_dev $data_dev, port: $port
-    devices+=("qeth $read_dev $write_dev $data_dev $port")
-  else
-    echo "$SCRIPTNAME: got unparsable input -- $in" >&2
-    exit 1
-  fi
-done < $CHANDEV_CONF
-
-for dev in "${devices[@]}"; do
-  set -- $dev
-  if [ "$1" = ctc ]; then
-    config="config-$(fix_dev $2)"
-    dev="($(fix_dev $2) $(fix_dev $3))"
-    protocol=$4
-    echo $config:
-    echo "CCWGROUP_CHANS=$dev"
-    [ "$4" ] && echo "CTC_PROTOCOL=$protocol"
-  elif [ "$1" = qeth ]; then
-    true
-  fi
-done
